from promnesia.common import Source
from promnesia.sources import auto, shellcmd

"""
List of sources to use.

You can specify your own, add more sources, etc.
See https://github.com/karlicoss/promnesia#setup for more information
"""
SOURCES = [
    # Source(
    #     auto.index,
    #     # just some arbitrary directory with plaintext files
    #     '/usr/share/vim/',
    # )
    Source(
        auto.index,
        "/home/fz0x1/org/braindump.org",
        name="braindump",
        ignored=["*.html", "*.gpg"],
    ),
    Source(
        auto.index,
        "/home/fz0x1/org/inbox.org",
        name="inbox",
        ignored=["*.html", "*.gpg"],
    ),
    Source(
        auto.index,
        "/home/fz0x1/org/life.org",
        name="inbox",
        ignored=["*.html", "*.gpg"],
    ),
    Source(shellcmd.index, "linkding_promnesia.sh", name="linkding"),
]
